Server software requirements

 Show all Hide all

This page describes the server requirements for hosting different versions of Softadmin®.

A Softadmin® system consists of a web site hosted by Microsoft IIS (Internet Information Services) and a SQL Database hosted by Microsoft SQL Server. The web site and database do not need to be located on the same Windows server and so their requirements are listed separately.

Web Server

Windows Server

Softadmin® works with all editions of Windows Server.

Windows Server Softadmin 5.5 Softadmin 6.x Softadmin 7.x
Windows Server 2008 R2 Yes Yes Yes
Windows Server 2012 Yes Yes Yes
Windows Server 2016 Untested Yes Yes
Windows Server 2019 Untested Yes Yes

Internet Information Services

IIS Softadmin 5.5 Softadmin 6.x Softadmin 7.x
IIS 7 Yes Yes Yes
IIS 8 Yes Yes Yes
IIS 10 Yes Yes Yes

.NET Framework

Each Softadmin® version is also compatible with all framework versions greater than its minimum requirement.

Softadmin Minimum framework version
Softadmin 5.5 .NET Framework 4.5
Softadmin 6.0 .NET Framework 4.5
Softadmin 6.5 .NET Framework 4.6.1
Softadmin 7.0 .NET Framework 4.6.1
Softadmin 7.10 .NET Framework 4.8

Database Server

Softadmin® currently requires a machine running SQL Server on Windows Server. Support for Azure SQL Database will be added in 2021.

Windows Server

Softadmin® works with all editions of Windows Server.

Windows Server Softadmin 5.5 Softadmin 6.x Softadmin 7.x
Windows Server 2008 R2 Yes Yes Yes
Windows Server 2012 Yes Yes Yes
Windows Server 2016 Yes Yes Yes
Windows Server 2019 Untested Yes Yes

SQL Server

Softadmin® works with all editions of SQL Server except Express Edition. It is assumed that you have the latest Cumuluative Update or Service Pack installed.

Support for SQL Server 2012 and SQL Server 2014 will be dropped in new versions in 2021.

SQL Server Softadmin 5.5 Softadmin 6.0 Softadmin 6.5 Softadmin 7.x
SQL Server 2008/R2 Yes Yes
SQL Server 2012 Yes Yes Yes Yes
SQL Server 2014 Yes Yes Yes Yes
SQL Server 2016 Yes Yes Yes Yes
SQL Server 2017 Yes Yes Yes Yes
SQL Server 2019 Yes Yes Yes Yes

SQL Server Configuration

Feature Softadmin 5.5 Softadmin 6.0 Softadmin 6.5 Softadmin 6.6 Softadmin 7.x
sp_OA Required Required Required
CLR Enabled=1 Required Required Required Required Required
SQL Server 2017+
CLR strict security=0 Required Required Required Required Required

.NET Framework

Each Softadmin® version is also compatible with all framework versions greater than its minimum requirement.

Softadmin Minimum framework version
Softadmin 5.5 .NET Framework 2.0
Softadmin 6.0 .NET Framework 2.0
Softadmin 6.5 .NET Framework 4.0
Softadmin 7.0 .NET Framework 4.0
Softadmin 7.10 .NET Framework 4.8